#! /bin/sh
# FS QA Test No. 006
#
# permname
#
#-----------------------------------------------------------------------
# Copyright (c) 2000-2001 Silicon Graphics, Inc.  All Rights Reserved.
#-----------------------------------------------------------------------
#
# creator
owner=dxm@sgi.com

seq=`basename $0`
echo "QA output created by $seq"

here=`pwd`
tmp=/tmp/$$
status=0	# success is the default!
trap "_cleanup; exit \$status" 0 1 2 3 15

_cleanup()
{
    cd /
    rm -f $tmp.*
    rm -rf $testdir/permname.$$
    _cleanup_testdir
}

_count()
{
    $AWK_PROG '
        BEGIN   { count = 0 }
                { count ++ }
        END     { print count " files created" }
    '
}

# get standard environment, filters and checks
. ./common.rc
. ./common.filter

# real QA test starts here
_supported_fs xfs udf nfs
_supported_os IRIX Linux

_setup_testdir

mkdir $testdir/permname.$$

echo ""
echo "single thread permname"
echo "----------------------"
mkdir $testdir/permname.$$/a
cd $testdir/permname.$$/a
$here/src/permname -c 4 -l 6 -p 1 || echo "permname returned $?"
find . | _count

echo ""
echo "multi thread permname"
echo "----------------------"
mkdir $testdir/permname.$$/b
cd $testdir/permname.$$/b
$here/src/permname -c 4 -l 6 -p 4 || echo "permname returned $?"
find . | _count

exit
